> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vatic.trading/llms.txt
> Use this file to discover all available pages before exploring further.

# Recent TWAP Comparisons

> Beta endpoint returning the last closed crypto up/down markets with target price, old snapshot-style close price, Chainlink TWAP resolution reference, directions, differences, and disagreement summary.

Returns recent closed markets with target price, snapshot close, Chainlink TWAP close, direction comparison, and TWAP-vs-snapshot difference.

```bash theme={null}
curl "https://api.vatic.trading/api/v1/twap/recent?asset=btc&type=5min&limit=50"
```


## OpenAPI

````yaml GET /api/v1/twap/recent
openapi: 3.1.0
info:
  title: Vatic API
  version: 1.0.0
  description: >-
    Polymarket price targets, Hyperliquid prediction market data, market
    timestamps, fee calculators, and order management for systematic prediction
    market trading.
servers:
  - url: https://api.vatic.trading
    description: Production
security: []
paths:
  /api/v1/twap/recent:
    get:
      tags:
        - Chainlink TWAP
      summary: Recent target vs TWAP comparisons
      description: >-
        Beta endpoint returning the last closed crypto up/down markets with
        target price, old snapshot-style close price, Chainlink TWAP resolution
        reference, directions, differences, and disagreement summary.
      operationId: getTwapRecent
      parameters:
        - name: asset
          in: query
          required: true
          schema:
            type: string
            enum:
              - btc
              - eth
              - sol
              - xrp
              - hype
              - doge
              - bnb
        - name: type
          in: query
          required: false
          schema:
            type: string
            enum:
              - 5min
              - 15min
              - 4hour
            default: 5min
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 12
            maximum: 50
      responses:
        '200':
          description: Recent comparisons
        '400':
          description: Invalid input

````